Bug 180639 - [PATCH] www/nginx: [Fix for syslog support]
[PATCH] www/nginx: [Fix for syslog support]
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sergey A. Osokin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 17:10 UTC by Dave Duchscher
Modified: 2013-12-03 18:10 UTC (History)
1 user (show)

See Also:


Attachments
nginx-1.4.2_1,1.patch (926 bytes, patch)
2013-07-18 17:10 UTC, Dave Duchscher
no flags Details | Diff
smime.p7s (4.55 KB, application/pkcs7-signature)
2013-12-03 14:04 UTC, Dave Duchscher
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Duchscher 2013-07-18 17:10:00 UTC
The patch for adding syslog support sets the wrong define variable causing syslog support to not be built.

Port maintainer (osa@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-07-18 17:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->osa

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dave Duchscher 2013-09-12 15:11:15 UTC
Any update on this issue?
Comment 3 Mathieu Arnold freebsd_committer 2013-12-02 18:14:19 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 dfilter freebsd_committer 2013-12-02 18:14:26 UTC
Author: mat
Date: Mon Dec  2 18:14:19 2013
New Revision: 335523
URL: http://svnweb.freebsd.org/changeset/ports/335523

Log:
  The patch for adding syslog support sets the wrong define variable causing syslog support to not be built.
  
  maintainer timeout.
  
  PR:		ports/180639
  Submitted by:	Dave Duchscher

Modified:
  head/www/nginx/Makefile
  head/www/nginx/files/extra-patch-syslog_support

Modified: head/www/nginx/Makefile
==============================================================================
--- head/www/nginx/Makefile	Mon Dec  2 18:08:41 2013	(r335522)
+++ head/www/nginx/Makefile	Mon Dec  2 18:14:19 2013	(r335523)
@@ -3,6 +3,7 @@
 
 PORTNAME=	nginx
 PORTVERSION=	1.4.4
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	www
 MASTER_SITES=	http://nginx.org/download/

Modified: head/www/nginx/files/extra-patch-syslog_support
==============================================================================
--- head/www/nginx/files/extra-patch-syslog_support	Mon Dec  2 18:08:41 2013	(r335522)
+++ head/www/nginx/files/extra-patch-syslog_support	Mon Dec  2 18:14:19 2013	(r335523)
@@ -721,7 +721,7 @@ index 54e1c26..2b05157 100644
 +    SYSLOG_FACILITY="LOG_DAEMON"
 +fi
 +if test "${USE_SYSLOG}" = "YES"; then
-+    CFLAGS="$CFLAGS -DUSE_SYSLOG -DSYSLOG_FACILITY=${SYSLOG_FACILITY}"
++    CFLAGS="$CFLAGS -DNGX_ENABLE_SYSLOG -DSYSLOG_FACILITY=${SYSLOG_FACILITY}"
 +fi
  
  cat << END                                                     > $NGX_MAKEFILE
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Sergey A. Osokin freebsd_committer 2013-12-03 03:11:42 UTC
State Changed
From-To: closed->open

Re-open the ticket.
Comment 6 Sergey A. Osokin freebsd_committer 2013-12-03 03:14:06 UTC
Responsible Changed
From-To: osa->mat

Revert back these changes.
Comment 7 Mathieu Arnold freebsd_committer 2013-12-03 06:58:23 UTC
Responsible Changed
From-To: mat->osa

Back to you, but if these changes are wrong, you should say so, and not let the 
PR get stale for 4 months :-)
Comment 8 Dave Duchscher 2013-12-03 14:04:21 UTC
Do you know when this issue will be fixed?  We are having to patch the nginx port every time we updated our tree.  

--
DaveD


Comment 9 dfilter freebsd_committer 2013-12-03 18:08:29 UTC
Author: osa
Date: Tue Dec  3 18:08:20 2013
New Revision: 335584
URL: http://svnweb.freebsd.org/changeset/ports/335584

Log:
  Fix syslog support.
  Do not bump PORTREVISION cause syslog support disabled by default.
  
  Patch from:	rea
  PR:		ports/180639

Modified:
  head/www/nginx/files/extra-patch-syslog_support

Modified: head/www/nginx/files/extra-patch-syslog_support
==============================================================================
--- head/www/nginx/files/extra-patch-syslog_support	Tue Dec  3 17:47:15 2013	(r335583)
+++ head/www/nginx/files/extra-patch-syslog_support	Tue Dec  3 18:08:20 2013	(r335584)
@@ -347,14 +347,16 @@ diff --git src/core/ngx_log.h src/core/n
 index 3233647..5e7fdbf 100644
 --- src/core/ngx_log.h
 +++ src/core/ngx_log.h
-@@ -12,6 +12,13 @@
+@@ -12,6 +12,15 @@
  #include <ngx_config.h>
  #include <ngx_core.h>
  
 +#if (NGX_ENABLE_SYSLOG)
 +#include <syslog.h>
 +
++#ifndef SYSLOG_FACILITY
 +#define SYSLOG_FACILITY LOG_LOCAL5
++#endif
 +#define ERR_SYSLOG_PRIORITY LOG_ERR
 +#endif
 +
@@ -721,7 +723,7 @@ index 54e1c26..2b05157 100644
 +    SYSLOG_FACILITY="LOG_DAEMON"
 +fi
 +if test "${USE_SYSLOG}" = "YES"; then
-+    CFLAGS="$CFLAGS -DUSE_SYSLOG -DSYSLOG_FACILITY=${SYSLOG_FACILITY}"
++    CFLAGS="$CFLAGS -DNGX_ENABLE_SYSLOG -DSYSLOG_FACILITY=${SYSLOG_FACILITY}"
 +fi
  
  cat << END                                                     > $NGX_MAKEFILE
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Sergey A. Osokin freebsd_committer 2013-12-03 18:08:52 UTC
State Changed
From-To: open->closed

Committed with modifications.